Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.aclresolver
Class AccessControlListResolverTool

    java.lang.Object
      oracle.ifs.admin.tools.BaseTool
          oracle.ifs.admin.tools.aclresolver.AccessControlListResolverTool

Direct Known Subclasses:
  UpdateAccessControlListResolverTool

    public abstract class AccessControlListResolverTool

extends BaseTool

AccessControlListResolverTool is an abstract base class for tools that modify the ACL Resolver Service. These tools can be run non-interactively or via a rudimentary commandline dialog obtain session and service credentials. It inherits the gathering of inputs for service startup and session creation from the base class BaseTool.

(Unpublished)

Constructor Summary
`AccessControlListResolverTool(java.lang.String[] args)` Constructor.

Method Summary
`void` | `changeAclResolutionMode(LibrarySession session, boolean isSync)` Change resolution mode to either synchronous or asynchronous.
`boolean` | `isResolutionModeSynchronous(LibrarySession session)` return true if the current ACL resolution mode is synchronous

Methods inherited from class oracle.ifs.admin.tools.BaseTool
`disconnectSession, establishSession, establishSession, gatherCredentials, getDatabaseUrl, getDomain, getDomainDisplayName, getExitCode, getParameterTable, getSchemaName, getSchemaPassword, getServiceConfigurationName, getServiceName, isVerboseLoggingEnabled, log, log, log, printStackTrace, setExitCode, showBanner, showExiting, startService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessControlListResolverTool

    public AccessControlListResolverTool(java.lang.String[] args)

  Constructor.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

Method Detail

### isResolutionModeSynchronous

    public boolean isResolutionModeSynchronous(LibrarySession session)
                                        throws IfsException

  Description copied from class: `AccessControlListResolverTool`
  return true if the current ACL resolution mode is synchronous

  Parameters:
    `session` - the session
  Returns:
    true if the current ACL resolution mode is synchronous
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### changeAclResolutionMode

    public void changeAclResolutionMode(LibrarySession session,
                                        boolean isSync)
                                 throws IfsException

  Description copied from class: `AccessControlListResolverTool`
  Change resolution mode to either synchronous or asynchronous. If the specified mode is the same as the current mode, no change takes place (and no exception is thrown)

  Parameters:
    `session` - the session
    `isSync` - the desired resolution mode; true indicates synchronous, false indicates asynchronous
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD